<?php
//error_reporting(0);

//Incluir Archivos Necesarios
require_once '../Clases/db.php';
require_once '../Clases/Categoria.php';

//Verificar si el usuario ha iniciado sesion 
session_start();
if (!isset($_SESSION['Username'])) { 
  header("Location: ../index.php");
  exit;
}

$mostrar = new categorias ();
$categorias = $mostrar->getAll();

//############# TOASTS ############//
include "../ArchivosCSS/StyleToasts.php";
?>

<!DOCTYPE html>
<html lang="es">
<header>
    <title>Categoria</title>
    <link rel="stylesheet" type="text/css" href="../ArchivosCSS/Toast_Position.css">    
</header>
<body>
    <!--======== Incluir Menu Lateral y Nav ========-->
    <?php  include 'menu_lateral.php'; ?>

    <!--======== Main ========-->
    <div class="main">
        <div class="interno" >
           <!--======== Area Toast ========-->
           <div class="contenedor-toasts-internos" id="contenedor-botones"> 
              <?php
              if(isset($_GET["Add_categ"])==1){

                //toast de exito registro correcto
                  echo $exitoADD;
                  echo $exitoToastADD;
              }
              if(isset($_GET["Update_categ"])==1){

                //toast de exito edicion correcta
                  echo $exitoEDIT;
                  echo $exitoToastEDIT;
              }
              if(isset($_GET["Delete_categ"])==1){

                //toast de exito Eliminacion correcta
                  echo $exitoDELETE;
                  echo $exitoToastDELETE;
              }
              if(isset($_GET["Restaurar_categ"])==1){

                //toast de exito Restauracion correcta
                  echo $exitoRESTAURAR;
                  echo $exitoToastRESTAURAR;
              }
              if(isset($_GET["CAT_U"])==1){

                //mensaje de error: categoria en uso, intente con otro nombre.
                  echo $errorCAT1;
                  echo $errotToastCAT1;
              }
              ?>
          </div>
          <!--======== Fin Area Toast ========-->
          <div class="breadcrumb-holder">                                             
                <button type="button" class="btn btn-primary" data-bs-toggle="modal" data-bs-target="#Crear">
                    <i class="bi bi-pencil-square"></i> Registrar Categoria
                </button> <?php  include('./Modales/Categoria/registrarcat.php'); ?>
          </div><br>

              <table id="myTable" class="table table-dark table-striped ">
                <thead>
                    <tr>
                        <td>ID</td>
                        <td>Nombre</td>
                        <td>Acciones</td>                         
                    </tr>
                </thead>
                <tbody>
                 <?php foreach ($categorias as $categoria) { ?>
                   <tr>
                       <td><?php echo $categoria['ID']; ?></td>
                       <td><?php echo $categoria['Nombre']; ?></td>
                       <td>
                        <button type="button" data-bs-toggle="modal" 
                        data-bs-target="#editar<?php echo $categoria['ID']; ?>" class="btn btn-warning btn-sm"><i class="bi bi-pencil-square"></i>
                    </button>
                    <button type="button" data-bs-toggle="modal"
                    data-bs-target="#eliminar<?php echo $categoria['ID']; ?>"class="btn btn-danger btn-sm"><i class="bi bi-trash-fill"></i>
                </button>
            </td>
        </tr>
        <?php  include('./Modales/Categoria/modal_categoria.php'); ?>
    <?php } ?>
</tbody>
</table>
<div class="breadcrumb-holder">                                             
    <button type="button" class="btn btn-secondary" data-bs-toggle="modal" data-bs-target="#eliminadacat">
        <i class="bi bi-eye-fill"></i> Ver Categorias Eliminadas
    </button> <?php  include('./Modales/Categoria/categoriaseliminada.php'); ?>

  </div>

</div><!--##:: Fin Divinterno ::##-->
</div><!--##:: Fin DivMain ::##-->

<!--======== Jquery / bootstrap.bundle / bootstrap.min / Datatable / Toast ========-->
<script src="../ArchivosJS/jquery-3.6.0.min.js"></script> 
<script src="../bootstrap-5.3.1/js/bootstrap.bundle.min.js"></script>
<script src="../ArchivosJS/bootstrap.min.js"></script>
<script src="../DataTables/datatables.min.js"></script>
<script src="../ArchivosJS/toasts.js"></script>

<!--======== Funcion para eliminar registros ========-->
<script type="text/javascript">
  $(document).ready(function() {
     $('.botonBorrar').click(function(e){

    
      e.preventDefault();
      var IDE = $(this).attr("ID");

      var dataString = 'ID='+ IDE;
      url = "./controladores/Categoria/delet_categ.php";
      $.ajax({
        type: "POST",
        url: url,
        data: dataString,
        success: function(data)
        {
          window.location.href="categoria.php?Delete_categ=1";
          $('#respuesta').html(data);
      }
  });
      return false;
  });
 });
</script>
<!--======== Funcion para restaurar registros ========-->
<script type="text/javascript">
  $(document).ready(function() {
     $('.btnRestaurar').click(function(e){

    
      e.preventDefault();
      var IDE = $(this).attr("ID");

      var dataString = 'ID='+ IDE;
      url = "./controladores/Categoria/restaurar_categ.php";
      $.ajax({
        type: "POST",
        url: url,
        data: dataString,
        success: function(data)
        {
          window.location.href="categoria.php?Restaurar_categ=1";
          $('#respuesta').html(data);
      }
  });
      return false;
  });
 });
</script>
<script type="text/javascript">
    $(document).ready( function () {
        $('#myTable').DataTable({
            language: {
                processing:     "Tratamiento en curso...",
                search:         "Buscar:" ,
                lengthMenu:    "Filtro de _MENU_ categorias",
                info:           "Mostrando de la categoria _START_ al _END_ de un total de _TOTAL_ categorias",
                infoEmpty:      "No existen registros",
                infoFiltered:   "(filtrado de _MAX_ categorias en total)",
                infoPostFix:    "",
                loadingRecords: "Cargando elementos...",
                zeroRecords:    "No se encontraron los datos de tu busquda..",
                emptyTable:     "No hay ningun registro en la tabla",
                paginate: {
                    first:      "Primero",
                    previous:   "Anterior",
                    next:       "Siguiente",
                    last:       "Ultimo"
                },
                aria: {
                    sortAscending:  ": Active para odernar en modo ascendente",
                    sortDescending: ": Active para ordenar en modo descendente  ",
                }
            }
        } );
    } );
</script>
<footer class="footer">
    <p>&copy; Todos los derechos reservados - <?php echo date("Y"); ?> | La Emperadora Internet Y Mas</p>
</footer>
</body>
</html>